Summary:	Helper library for dumb speech synthesizers
Summary(pl.UTF-8):	Biblioteka pomocnicza dla "głupich" syntezatorów mowy
Name:		libdumbtts
Version:	0.3.2
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://tts.polip.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	4bacd89c0c9bb178dcd8758c6e9ca90d
Patch0:		%{name}-Makefile.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libdumbtts is helper library for dumb speech synthesizer drivers.
Developed for Ivona synthesizer and speech-dispatcher, but may be
usable with other synthesizer and application.

%description -l pl.UTF-8
libdumbtts to biblioteka pomocnicza dla sterowników "głupich"
syntezatorów mowy. Opracowana została dla syntezatora Ivona oraz
speech-dispatchera, ale może być przydatna dla innych syntezatorów
i aplikacji.

%package devel
Summary:	Header files for libdumbtts library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libdumbtts
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libdumbtts library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libdumbtts.

%prep
%setup -q
%patch0 -p1

%build
%{__make} -C src \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}" \
	PIC="-fPIC"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/dumbtts

%{__make} -C src install \
	LIBDIR=%{_libdir} \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%doc %lang(pl) README_pl
%attr(755,root,root) %{_libdir}/libdumbtts.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdumbtts.so.0
%dir %{_sysconfdir}/dumbtts
%dir %{_datadir}/dumbtts
%{_datadir}/dumbtts/*.conf
%{_datadir}/dumbtts/*.dic

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdumbtts.so
%{_includedir}/libdumbtts.h
%changelog
* Sat Jan 05 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libdumbtts.git;a=log;h=master

* Mon Apr 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 84d5c70
- updated to 0.3.2
- updated Makefile patch

* Sun Jan 30 2011 sparky <sparky@pld-linux.org> bae3046
- dropped redundant BuildRoot: definitions

* Sat Feb 27 2010 sparky <sparky@pld-linux.org> e3acbec
- unify %attr() %ghost order

* Tue Jun 09 2009 amateja <amateja@pld-linux.org> 841c42b
- updated to 0.3.0

* Tue Jun 09 2009 amateja <amateja@pld-linux.org> 19fa01c
- adjusted for 0.3.0

* Wed Apr 16 2008 darekr <darekr@pld-linux.org> f4055a1
- -fPIC for x86_64, killed todo

* Wed Apr 16 2008 arvenil <arvenil@pld-linux.org> 8c7e3ef
- added %ghost
- added more docs
- doesn't build on x86_64 (added TODO)
- clean up

* Wed Apr 16 2008 twittner <twittner@pld-linux.org> 636a41b
- darek's changes and his commitlog restored

* Tue Apr 15 2008 twittner <twittner@pld-linux.org> ecf2d72
- up to 0.2.0
- added -Makefile.patch which allows to pass CC, CFLAGS, LDFLAGS

* Tue Apr 15 2008 twittner <twittner@pld-linux.org> 8c3302b
- allow to pass CC, CFLAGS, LDFLAGS
- fix typo

* Mon Apr 14 2008 darekr <darekr@pld-linux.org> ce46d80
- md5sum, use -C for make

* Sat Apr 12 2008 Tomasz Pala <gotar@pld-linux.org> 74319ed
- cosmetics

* Sat Apr 12 2008 Tomasz Pala <gotar@pld-linux.org> 6d2be80
- initial from Bohdan R. Rau

